%define upstream_name    MooseX-Types-Path-Class
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Path::Class type library for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.390.0
BuildRequires: perl(MooseX::Types) >= 0.40.0
BuildRequires: perl(Path::Class) >= 0.160.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildArch:  noarch

%{?perl_default_filter}

%description
MooseX::Types::Path::Class creates common the Moose manpage types,
coercions and option specifications useful for dealing with the Path::Class
manpage objects as the Moose manpage attributes.

Coercions (see the Moose::Util::TypeConstraints manpage) are made from both
'Str' and 'ArrayRef' to both the Path::Class::Dir manpage and the
Path::Class::File manpage objects. If you have the MooseX::Getopt manpage
installed, the Getopt option type ("=s") will be added for both the
Path::Class::Dir manpage and the Path::Class::File manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-4.mga8
+ Revision: 1505458
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-3.mga7
+ Revision: 1285096
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.90.0-2.mga7
+ Revision: 1165689
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.90.0-1.mga7
+ Revision: 1157579
- update to 0.09

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1030703
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 969400
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 868600
- update to 0.08

* Mon Jul 06 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 852003
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 740430
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.60.0-5.mga5
+ Revision: 735876
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 685585
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 513237
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 370357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 255175
- update to 0.06

* Tue Jan 25 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 38657
- mageia rebuild
- imported package perl-MooseX-Types-Path-Class

